Search documentation of phoenix_kit

# PhoenixKit.Migrations.Postgres.V48 (phoenix_kit v1.7.87)

Copy Markdown View Source

V48: Post and Comment Dislikes

Adds dislike functionality to the blogging module for both posts and comments.

## Changes

- Creates `phoenix_kit_post_dislikes` table for post dislikes
- Creates `phoenix_kit_comment_likes` table for comment likes
- Creates `phoenix_kit_comment_dislikes` table for comment dislikes
- Adds `dislike_count` column to `phoenix_kit_posts`
- Adds `dislike_count` column to `phoenix_kit_post_comments`

## Usage

Frontend developers can choose to display:

- Likes only
- Dislikes only
- Both likes and dislikes
- Net score (likes - dislikes)

## Summary

### Functions

down(opts)
up(opts)

## Functions

# down(opts)

# up(opts)